<?xml version="1.0"?>
<doc>
    <assembly>
        <name>SqlToCsvExport</name>
    </assembly>
    <members>
        <member name="M:SqlToCsvExport.AdditionalParams.ObtainStr(System.String,System.String@)">
            <exception cref="T:SqlToCsvExport.OperationFailedException" />
        </member>
        <member name="M:SqlToCsvExport.AdditionalParams.ObtainChar(System.String,System.Char@)">
            <exception cref="T:SqlToCsvExport.OperationFailedException" />
        </member>
        <member name="M:SqlToCsvExport.AdditionalParams.ObtainFlag(System.String,System.Boolean@)">
            <exception cref="T:SqlToCsvExport.OperationFailedException" />
        </member>
        <member name="M:SqlToCsvExport.AdditionalParams.VerifyNames">
            <exception cref="T:SqlToCsvExport.OperationFailedException" />
        </member>
        <member name="M:SqlToCsvExport.AdditionalParams.VerifyNameSupported(System.String)">
            <exception cref="T:SqlToCsvExport.OperationFailedException" />
        </member>
        <member name="M:SqlToCsvExport.OpFailedExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlToCsvExport.OpFailedExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlToCsvExport.OpFailedExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlToCsvExport.OperationFailedException" />
        </member>
        <member name="M:SqlToCsvExport.Program.DownloadData">
            <exception cref="T:SqlToCsvExport.OperationFailedException" />
        </member>
        <member name="M:SqlToCsvExport.Program.PerformExport">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:SqlToCsvExport.Program.UseAdditionalParams">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:SqlToCsvExport.Program.Run(System.String[])">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:SqlToCsvExport.Scripter.ProcessScriptLine(System.String,System.Int32)">
            <summary>
            Preprocessor for insertions / environment variables: $(IdentASCII) (analogically to SQLCMD)
            </summary>
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlToCsvExport.OperationFailedException" />
        </member>
        <member name="M:SqlToCsvExport.Scripter.UseInsertionDef(System.String,System.Int32)">
            <exception cref="T:SqlToCsvExport.OperationFailedException" />
        </member>
        <member name="M:SqlToCsvExport.Scripter.LoadNParse(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlToCsvExport.OperationFailedException" />
        </member>
        <member name="M:SqlToCsvExport.Scripter.IsGoSeparatorLine(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlToCsvExport.Scripter.IsNormalAsciiIdent(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlToCsvExport.Startup.Main(System.String[])">
            <summary>
            Application entry point
            </summary>
        </member>
        <member name="T:SqlToCsvExport.SqlToCsvExport_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
        <member name="M:CommonHelpers.HAppExitExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HAppExitExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HAppFailureExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HAppFailureExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HAppFailureExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:CommonHelpers.HAssertionFailureExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HAssertionFailureExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HDBExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HDBExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HDBExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HEscapeExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HEscapeExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.GetMessage(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.GetErrorMessage(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.IsPackingException(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.ComposeMessage(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.ComposeMessage(System.Exception,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.ComposeChainedMessage(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.ComposeChainedMessage(System.Exception,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.ComposeChainedMessage(System.Exception,System.Boolean,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOpFailedExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOpFailedExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOpFailedExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsuccessExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HUnsuccessExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HUnsuccessExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:CommonHelpers.HArgChecking.NotNull``1(``0)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HArgChecking.VerifyNotNull(System.Object)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HArgChecking.VerifyNotNulls(System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HBool.FromInt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HBool.FromInt(System.Int32,System.Boolean)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PrintError(System.Exception,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PrintError(System.Exception,System.Boolean,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PrintError(System.Boolean,System.Exception,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PrintError(System.Boolean,System.Exception,System.Boolean,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HDirectory.TryCheckExistence(System.String,System.Exception@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HDispose.Free(System.IDisposable)">
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:CommonHelpers.HDispose.Free``1(``0@)">
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:CommonHelpers.HFile.TryCheckExistence(System.String,System.Exception@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HFile.RemoveReadOnlyFile(System.String,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.SystemException" />
            <exception cref="T:System.IO.FileNotFoundException" />
        </member>
        <member name="M:CommonHelpers.HFile.MakeFileReadOnly(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.SystemException" />
        </member>
        <member name="T:CommonHelpers.HInt32">
            <summary>
            Invariant helpers for 32-bit integer number
            </summary>
        </member>
        <member name="M:CommonHelpers.HInt32.FromString(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.FormatException" />
            <exception cref="T:System.OverflowException" />
        </member>
        <member name="M:CommonHelpers.HInt32.TryFromString(System.String,System.Int32@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HInt32.TryFromString(System.String,System.Int32@,System.Exception@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.IsOneOf``1(``0,``0[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.IsBetween``1(``0,``0,``0)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.IsExBetween``1(``0,``0,``0)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.Try(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.Try(System.Action,System.Exception@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.Try(System.Exception@,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HPath.ContainsWildcardChar(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.HProgram.MainThread">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HString.LastChar(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HString.ConvertAsText(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HString.ConvertAsText(System.String@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HString.FormatAsText(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HTextBuilder.ConvertAsText(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HTextBuilder.ConvertAsText(System.Text.StringBuilder)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HLocal.TEXT(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HThread.Sleep(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HThread.Sleep(System.TimeSpan)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
    </members>
</doc>
